#include <QtCore/QCoreApplication>
#include <iostream>
#include <QLibrary>

typedef int (__stdcall *PDFToTextOCRSDKShellFunc)(const char *lpszCmdLine);

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);

    QLibrary mylib("pdfshell.dll");
    int result;
    if (mylib.load())
    {
        std::cout << "DLL load is OK!"<<std::endl;
        PDFToTextOCRSDKShellFunc PDFToTextOCRSDKShell = (PDFToTextOCRSDKShellFunc)mylib.resolve("PDFToTextOCRSDKShell");
        if (PDFToTextOCRSDKShell)
        {
            std::cout << "Link to PDFToTextOCRSDKShell() Function is OK!"<<std::endl;
            result = PDFToTextOCRSDKShell("-$ XXXXXXXXXXXXXXXXXXXXX -layout D:\\downloads\\551296.pdf D:\\downloads\\551296.txt");
            std::cout << "PDFToTextOCRSDKShell() function return " << result;
        }
        else
            std::cout << "Link to PDFToTextOCRSDKShell() Function failed!!"<<std::endl;
    }
    else
        std::cout << "DLL is not loaded!"<<std::endl;

    return a.exec();
}
